/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Nekhelesh Ramananthan <krnekhelesh@gmail.com>
 */

import QtQuick 2.0

// Qml component to draw the analog clock hand
Rectangle{
    id: analogClockHandContainer

    property alias handHeight: analogClockHand.height
    property alias handWidth: analogClockHand.width
    property alias handRotationAnimation: analogClockHandRotation.enabled

    radius: width / 2
    anchors.fill: parent
    transformOrigin: Item.Center
    color: "transparent";

    Rectangle {
        id: analogClockHand

        x: (parent.width / 2) - (width / 2); y: (parent.height / 2) - height; z: 2;
        width: units.gu(1); height: units.gu(14);
        radius: units.gu(1)
        color: Theme.palette.normal.baseText
        antialiasing: true
    }

    Behavior on rotation {
        id: analogClockHandRotation
        enabled: true;
        RotationAnimation { direction: RotationAnimation.Shortest }
    }
}

